attribute vec3 normals;
attribute vec2 texCoord1;
varying vec2 texCoord;
varying vec3 norm;

void main()
{
 
 norm = (gl_NormalMatrix)*normals;
 texCoord = texCoord1;
 mat4 onlyRotMat = gl_ModelViewMatrix;
 onlyRotMat[3] = vec4(0.0,0.0,0.0,1.0);
 gl_Position = gl_ProjectionMatrix*onlyRotMat*gl_Vertex;

}